static inline void __pte_free_tlb(struct mmu_gather *tlb, pgtable_t pte,
				  unsigned long addr)
{
	struct ptdesc *ptdesc = page_ptdesc(pte);

	pagetable_pte_dtor(ptdesc);
	#ifdef CONFIG_PTP
		iee_tlb_remove_ptdesc(tlb, ptdesc);
	#else
		tlb_remove_ptdesc(tlb, ptdesc);
	#endif
}
